- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::GUI::Controls::CHtmlMenuItem Class Reference

Inheritance diagram for Exponent::GUI::Controls::CHtmlMenuItem:

List of all members.

## Detailed Description

A representation of a menu item that can be lauched in a default browser.

Date:
  12/04/2005

Author:
  Paul Chana

Version:
  1.0.0 Initial version

See also:
  CHtmlString

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk

Id
  CHtmlMenuItem.hpp,v 1.6 2007/02/08 21:07:54 paul Exp

Definition at line 39 of file CHtmlMenuItem.hpp.

## Public Member Functions

- CHtmlMenuItem (const CHtmlString &link, const CString &displayText, const long id)
- void lauchLinkInBrowser ()
- virtual ~CHtmlMenuItem ()

## Protected Attributes

- CHtmlString m_link

## Constructor & Destructor Documentation

Exponent::GUI::Controls::CHtmlMenuItem::CHtmlMenuItem | ( | const CHtmlString & | link,
|  | const CString & | displayText,
|  | const long | id |
| ) |  |  |

Construction

Parameters:

  | link | The html string to display
  | displayText | The text to display
  | id | The id of the menu item

virtual Exponent::GUI::Controls::CHtmlMenuItem::~CHtmlMenuItem | ( |  | ) | `[virtual]`

Destruction

## Member Function Documentation

void Exponent::GUI::Controls::CHtmlMenuItem::lauchLinkInBrowser | ( |  | ) |

Lauch the link

## Member Data Documentation

CHtmlString Exponent::GUI::Controls::CHtmlMenuItem::m_link`[protected]`

The linked site..

Definition at line 77 of file CHtmlMenuItem.hpp.